import * as React from "react";
export declare type Status = "pending" | "loading" | "loaded" | "failed";
export interface ImageLoaderProps extends React.ImgHTMLAttributes<HTMLImageElement> {
    /**
     * Render children without a wrapper.
     */
    pure?: boolean;
    wrapperProps?: React.HTMLAttributes<HTMLDivElement>;
    onLoad?(event: React.SyntheticEvent<HTMLDivElement, Event>): void;
    onError?(event: React.SyntheticEvent<HTMLDivElement, Event>): void;
}
interface ImageLoaderState {
    status: Status;
}
export default class ImageLoader extends React.Component<ImageLoaderProps, ImageLoaderState> {
    private img;
    constructor(props: ImageLoaderProps);
    private createLoader;
    private destroyLoader;
    private handleLoad;
    private handleError;
    componentDidMount(): void;
    componentWillReceiveProps(nextProps: any): void;
    componentDidUpdate(): void;
    componentWillUnmount(): void;
    render(): React.ReactNode;
}
export {};
